Subject: bug#77257: inhibit-message should inhibit echo area clearing too

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Mar 2025 19:25:06 +0200

> From: Daniel Colascione <[email-masked]>
> Date: Tue, 25 Mar 2025 14:58:35 -0400
> 
> 
> (let ((inhibit-message t)) (message "blah")) has the effect of clearing
> the echo area.  I'd expect the semantic of inhibit-message to be
> preventing all visible side effects of message --- not just some
> of them.

If we disable clearing the echo area in that case, should we also
refrain from running echo-area-clear-hook?

Stefan, do you see any potential problems in inhibiting clearing of
the echo area when inhibit-message is bound to a non-nil value?